// some of these were modified from Q3A files
// you may use these shaders for your own purposes
// but not the associated texture files!
//
// by fourdee for hostage rescue map

textures/hrescue/ladderclip
{
qer_trans 0.30
qer_editorimage textures/hrescue/ladder.tga

surfaceparm playerclip
surfaceparm noimpact
surfaceparm ladder
surfaceparm nolightmap
surfaceparm nomarks
surfaceparm nodraw
surfaceparm nonsolid
}

textures/hrescue/ladder
{
surfaceparm playerclip
surfaceparm ladder
surfaceparm trans
surfaceparm alphashadow
qer_editorimage textures/hrescue/ladder.tga
{
        map textures/hrescue/ladder.tga
	blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        depthWrite
}

}

textures/hrescue/street1
{
surfaceparm nolightmap
surfaceparm trans
surfaceparm playerclip
//cull back
qer_editorimage textures/hrescue/streetcap1.tga
{
 map textures/hrescue/streetcap1.tga
 blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 depthWrite 
}

}

textures/hrescue/alley_narrow
{
surfaceparm nolightmap
surfaceparm trans
surfaceparm playerclip
//cull back
//qer_editorimage textures/hrescue/.tga
{
 map textures/hrescue/alley_narrow_graffiti.jpg
 blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
 depthWrite 
}

}

textures/hrescue/con_light 
{ 
q3map_lightimage textures/hrescue/fluorescent.tga

qer_editorimage textures/hrescue/concrete_large_light.jpg 

q3map_surfacelight 75 
q3map_lightsubdivide 512
surfaceparm nolightmap

 //{ 
 // map $lightmap 
 // rgbGen identity
 //}
 { 
  map textures/hrescue/concrete_large_light.jpg
  blendFunc GL_ONE GL_ZERO
  //rgbGen identity
 } 
}

textures/hrescue/ceil_light 
{ 
q3map_lightimage textures/hrescue/fluorescent.tga 

qer_editorimage textures/hrescue/ceilingtile_light.jpg 

surfaceparm nolightmap
q3map_surfacelight 125
q3map_lightsubdivide 512

 { 
  map textures/hrescue/ceilingtile_light.jpg
 } 
}

textures/hrescue/ceil_roundlight 
{ 
q3map_lightimage textures/hrescue/corona.tga
surfaceparm nolightmap 

qer_editorimage textures/hrescue/ceiling_roundlight.jpg 

q3map_surfacelight 200 
q3map_lightsubdivide 256
 { 
  map textures/hrescue/ceiling_roundlight.jpg
 } 
}

textures/hrescue/storefront_modern_closed
{
        qer_editorimage textures/hrescue/storefront_modern_closed.tga
	//surfaceparm nolightmap
	surfaceparm trans
        surfaceparm alphashadow
	cull none
	qer_trans 0.75
	{
                map textures/hrescue/storefront_modern_closed.tga
 		blendfunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}	
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
}

textures/hrescue/skylight
{
        qer_editorimage textures/hrescue/blueglass.tga
	//surfaceparm nolightmap
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
                map textures/hrescue/blueglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/hrescue/blueglass
{
        qer_editorimage textures/hrescue/blueglass.tga
	//surfaceparm nolightmap
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
                map textures/hrescue/blueglass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/hrescue/shiny_steel
{
	qer_editorimage textures/base_wall/shiny3.tga
	surfaceparm metalsteps
        //surfaceparm trans	
	//cull none
	//qer_trans 	0.5
     
	{
		map textures/hrescue/steel.jpg
		tcMod scale 0.5 0.5		
		rgbGen identity
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/hrescue/glass
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
	cull none
	qer_trans 	0.5
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/hrescue/glassback
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm nodraw
//	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks	
	qer_trans 	0.25
     
}

textures/hrescue/greenglass
{
	qer_editorimage textures/base_wall/shiny3.tga
        surfaceparm trans	
//	cull none
	qer_trans 	0.25
     
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
	}
           
}

textures/hrescue/sky
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky

	q3map_sun	1 1 1 150 220 50
	q3map_surfacelight 85

        qer_editorimage textures/hrescue/sky.tga

	skyparms env/sky 2048 -
	{
//              map textures/hrescue/sky.jpg
//		//tcMod scale 3 2
//		//tcMod scroll 0.15 0.15
//		depthWrite
	}
	//{
	//	map textures/skies/inteldimclouds.tga
//		blendFunc GL_ONE GL_ONE
//		tcMod scale 3 3
//		tcMod scroll 0.05 0.05
//	}
}
